'use strict';

/* Controllers for the rolesShowcase app */

angular
		.module('controllers', ['services'])
		.controller(
				'rolesShowcaseCtrl',
				function($scope, $location, $http, BPMRolesService) {
				
					// Configure the appName so we can get the components for the app from the service
					var appName = "/apps/rolesShowcase";
					
					$scope.roleState = '';
					
					// Call service method to get the available roles for the logged in User
					// The session from the APA client is used to get the login information
					BPMRolesService.getRolesForUser();
					
					// Helper method to get components from the service
					$scope.getComponents = function () {
						return (BPMRolesService.getComponentsForApp(appName));
					}
					
					// Helper method to get component settings from the service
					$scope.getComponentSetting = function (componentName, settingName) {
						return (BPMRolesService.getSettingForComponent(appName, componentName, settingName));
					};
					
					// Helper method to get roles from the service
					$scope.getRoles = function () {
						return (BPMRolesService.getRoles());
					};
					
					// Wath the roleState variable so we can change role when the user selects one
					$scope.$watch('roleState', function () {
						if ($scope.roleState)
						{
							BPMRolesService.selectRole($scope.roleState);
						}
					});
});